Subject: [os2genau_digest] No. 1991
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 25 Jul 2010 00:00:15 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Saturday 24 July 2010
 Number  1991
**************************************************

Subjects for today
 
1  Re:  BootManager : Mike O'Connor <mikeoc at austarnet dot com dot au>

**= Email   1 ==========================**

Date:  Fri, 23 Jul 2010 19:59:47 +1000
From:  Mike O'Connor <mikeoc at austarnet dot com dot au>
Subject:  Re:  BootManager

Nicholas Lysaght wrote:
> Hi All.
>
> Got my letter back from Doug. This is what he said:
> -----------
> "Pass on what you think might be useful. I wouldn't bother with Air
> Boot. I think that will just make things more difficult down the road."
> ----------
>
> I will now pass on what (hopefully) will be relevant:
>
> ---------------
>   
>>>> When Phase 1 of the install finished, and it tried to
>>>> reboot, that's when the Win7 Boot Manager came up.
>
> I would have done a Ctrl-Alt-Del at that point, to force it to go to
> the BM menu, rather than trying to do an automatic boot (which gets you
> to the windows boot manager). Once you get BM taught that eCS is the
> default boot drive, it should work. You could also set that using LVM
> in the BM setup.
>
> Install windows, as it likes.
> Use windows to shrink it's partitions
> Use the windows version of DFSEE to verify that all is happiness, and
> create the new partitions for eCS, leaving 7 Mb of empty space at the
> very end of the disk (for BM, and if the disk is larger than about 500
> GB, it will need to be 15 Mb). Write a new MBR, keeping the tables.
> Now, install eCS, and when it comes to the point where you need to run
> LVM, you should be able to install Boot Manger, and set up the the
> bootable disks, and make BM startable. At that time, make the volume
> that you wish to install to the default boot volume (not sure if that
> will actually work, but it should be okay if you use Ctrl-Alt-Del if
> windows BM shows it's ugly head).
> Before continuing, format the rest of the eCS volumes as you want them.
> Now let the install go, and it should work, but you need to watch the
> first reboot to be sure that it goes to eCS, and not to windows boot
> manager.
> ----------------------------
>
> So there you have it. I have yet to try this one out myself, but it
> would be great to keep our tools are within what we have.
>
> Regards
>
> NICK
>
>
>   
Hi Nick,

Those are my own sentiments - have been for a very long time (5+ years
now - when System Commander failed to boot to JFS-bootable volumes!)

Only problem is to have the installation media for W7 that will accept a
DOS-partitioned disk, and not force an EFI system.

I was about to respond with the following a little earlier - but I was
chasing the following image I have since put up on my (Google) Picasaweb
page: [long link!]

{http://picasaweb.google dot com dot au/majilok/EFIPartitionedDisksWin7PlusECSPlusLinux?authkey=Gv1sRgCKjaiauEi_7DowE&feat=directlink}
> Hi Nick,
>
> How does that AB procedure go with adding a Ubuntu 10.4 installation 
> that Alan would like also?
>
> Did you carefully examine those sectors after the MBR in the first 
> track of the disk (e.g. with GU's diskedit.exe), before shrinking the 
> Win7 volume? What geometry did DFSee show for the Win7 volume? Is it a 
> 1MB per cylinder geometry? Was it JFS or HPFS?
>
Regards,
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
Personal replies to any of :
mikeoc (at) internode (dot) on (dot) net
mikeoc (at) austarnet (dot) com (dot) au
majilok (at) gmail (dot) com
[Please ZIP any attachments, other than GIF/JPG or plain-text]
If you are missing a response from me - check Tweed Heads WX status at:
http://www.bom.gov.au/products/IDR663.loop.shtml#skip

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===